<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateUserPicture Method (IEdmUserMgr8)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr8 Interface : CreateUserPicture Method (IEdmUserMgr8)

Visual Basic
C#
C++/CLI

hParent
  Handle of parent window on which the picture should be drawn

poDestRect
  EdmRect structure; bounding rectangle in which the picture should be drawn (see Remarks)

oUserID
  ID or login name of the user for which to create a picture

poCallback
  Optional pointer to a class that implements IEdmCallback to receive progress information if the picture needs to be downloaded from an archive server

lEdmUserPictureFlags
  Combination of EdmUserPictureFlag bits

Creates a picture of the user to display in a form.

# Syntax

Visual Basic |
--- | ---

    Function CreateUserPicture( _
       ByVal hParent As System.Integer, _
       ByRef poDestRect As EdmRect, _
       ByVal oUserID As System.Object, _
       Optional ByVal poCallback As EdmCallback, _
       Optional ByVal lEdmUserPictureFlags As System.Integer _
    ) As IEdmImage

C# |
--- | ---

    IEdmImage CreateUserPicture(
       System.int hParent,
       ref EdmRect poDestRect,
       System.object oUserID,
       EdmCallback poCallback,
       System.int lEdmUserPictureFlags
    )

C++/CLI |
--- | ---

    IEdmImage^ CreateUserPicture(
    &   System.int hParent,
    &   EdmRect% poDestRect,
    &   System.Object^ oUserID,
    &   EdmCallback^ poCallback,
    &   System.int lEdmUserPictureFlags
    )

#### Parameters

hParent
  Handle of parent window on which the picture should be drawn
poDestRect
  EdmRect structure; bounding rectangle in which the picture should be drawn (see Remarks)
oUserID
  ID or login name of the user for which to create a picture
poCallback
  Optional pointer to a class that implements IEdmCallback to receive progress information if the picture needs to be downloaded from an archive server
lEdmUserPictureFlags
  Combination of EdmUserPictureFlag bits

#### Return Value

IEdmImage

# Example

See the IEdmUserMgr8 examples.

# Remarks

Call IEdmUserMgr8::ShowUserPopup to display a popup window with user information.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUserMgr8 Interface
IEdmUserMgr8 Members

# Availability

SOLIDWORKS PDM Professional 2013